using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Velvet_Eyebrows
{
    /// <summary>
    /// Логика взаимодействия для MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        public MainWindow()
        {
            InitializeComponent();
            //OpenPage(pages.login); //открывает страницу авторизации
            DgUser.ItemsSource = Select("SELECT * FROM [dbo].[Client]").DefaultView;
        }
        
        public enum pages
        {
            login,
        }
        void OpenPage(pages pages) //функция открытия окон
        {
            if(pages == pages.login)
            {
               // frame.Navigate(new login(this)); 
            }
        }

        public DataTable Select(string selectSQL)
        {
            DataTable dataTable = new DataTable("dataBase");
            SqlConnection sqlConnection = new SqlConnection("server=OLIMP_21;" + "Trusted_Connection=Yes;" + "DataBase=beauty_salon;");
            // открываем базу данных
            sqlConnection.Open();
            // создаём команду
            SqlCommand sqlCommand = sqlConnection.CreateCommand();
            // присваиваем команде текст
            sqlCommand.CommandText = selectSQL;
            // создаём обработчик
            SqlDataAdapter sqlDataAdapter = new SqlDataAdapter(sqlCommand);
            // возращаем таблицу с результатом
            sqlDataAdapter.Fill(dataTable);
            sqlDataAdapter.Update(dataTable);
            return dataTable;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Service service = new Service();
            service.Show();
        }
    }


}
